<div class="top-wrapper" [@listAnimationVertical]="1">
    <div class="logo">
        <h1 class="blog-title">Scrape News</h1>
        <p>Your source of js news</p>
    </div>
</div>
<div class="actions">
    <div class="fa fa-code"></div>
    <div class="fa fa-cut"></div>
    <div class="fa fa-trash"></div>
</div>
<div class="searchbar">
    <input (keyup)="searchArticles($event.target.value)" placeholder="Search for an article" type="text">
    <ng-container *ngIf="lemmas">
        <ul class="resultList">
            <li *ngFor="let lemma of lemmas.slice(0,5)">{{lemma.name}}</li>
        </ul>
    </ng-container>
    <div class="fa fa-search"></div>
</div>
<h2 class="results" *ngIf="found>0">Found {{found}} articles</h2>
<div class="articles-container" [@listAnimationVertical]="articles?.length">
    <ng-container *ngFor="let article of articles">
        <div class="article-card" [routerLink]="[article._id]">
            <div class="article-title">
                <h2>{{article.headline}}</h2>
            </div>
            <div class="article-summary">
                {{article.summary}}
            </div>
            <div class="article-footer">
                <div class="btn">
                    READ MORE
                </div>
            </div>
        </div>
    </ng-container>
</div>